/* Changes since Feb 12, 2002 by Moshe Bar
 * Copyright (C) 2000, 2001, Amnon Barak (amnon@cs.huji.ac.il)
 *
 * Permission to use this software is hereby granted under the terms of the
 * GNU General Public License, as published by the Free Software Foundation.
 *
 * Author(s):  Moshe Bar, Amnon Shiloh, Oren Laadan.
 */

#ifndef _MOS_VERSION_H
#define _MOS_VERSION_H

/* The following are the EXTERNAL openMosix versions, used to enforce compatibility
 * between different openMosix nodes when migrating and exchanging information -
 * as opposed to the later INTERNAL kernel version, being used for reference
 */
#define MOSIX_MIGRATION_VERSION	0x000052L /* as of Dec 14  2003 */
#define MOSIX_BALANCE_VERSION	0x000038L /* " */

#define MOSIX_KERNEL_VERSION	 10900	/* version 1.9.0 */

#define MOSIX_VERSION_PARTS(x) (x)/10000, ((x)%10000)/100, (x)%100
	
#endif /* _MOS_VERSION_H */
